org.modeshape.jcr.txn

## Class Transactions.BaseTransaction

- java.lang.Object
- - org.modeshape.jcr.txn.Transactions.BaseTransaction

- All Implemented Interfaces:
    Transactions.Transaction
  Direct Known Subclasses:
    SynchronizedTransactions.SynchronizedTransaction, Transactions.SimpleTransaction
  Enclosing class:
    Transactions

      protected abstract class Transactions.BaseTransaction
      extends Object
      implements Transactions.Transaction

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TransactionManager` | `txnMgr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Transactions.BaseTransaction(TransactionManager txnMgr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `executeFunctions()`
    `void` | `uponCompletion(Transactions.TransactionFunction function)` Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.txn.Transactions.Transaction

      `commit, rollback`

- - ### Field Detail

    - #### txnMgr

          protected final TransactionManager txnMgr

  - ### Constructor Detail

    - #### Transactions.BaseTransaction

          protected Transactions.BaseTransaction(TransactionManager txnMgr)

  - ### Method Detail

    - #### executeFunctions

          protected void executeFunctions()

    - #### uponCompletion

          public void uponCompletion(Transactions.TransactionFunction function)

      Description copied from interface: `Transactions.Transaction`
      Register a function that will be called when the current transaction completes, or immediately if there is not currently an active transaction.
      Specified by:
        `uponCompletion` in interface `Transactions.Transaction`
      Parameters:
        `function` - the completion function

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.